'use strict';

const deepFreeze = require('deep-freeze-strict');

const STRATEGIES = require('./strategies/constants');
const SCRAPERS = require('./strategies/');



const DEFAULTS = deepFreeze({
  STRATEGY: STRATEGIES.HTTP
});

/**
 *
 */
module.exports.scrape = function(link, config) {
  config = config || {};
  config.strategy = config.strategy || {};
  config.strategy.name = config.strategy.name || DEFAULTS.STRATEGY;

  return SCRAPERS[config.strategy.name].scrape(link, config);
}